/*-
 * Copyright (c) 2001
 *		Stepachev Andrey <aka50@mail.ru>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *	This product includes software developed by the University of
 *	California, Berkeley and its contributors.
 * 4. Neither the name of the University nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 */

/*
 * ichat.h -- IChat common definitions
 * 
 * $Id: ichat.h,v 1.5 2003/08/31 08:16:36 aka50 Exp $
 */

#ifndef _ICHAT_H_
#define _ICHAT_H_

#define ICHAT_DFLT_PORT 	6666
#define ICHAT_MIN_MSGSZ 	12
#define ICHAT_MAX_MSGSZ 	8196
#define ICHAT_MAX_HDRSZ 	256
#define ICHAT_RFR_TIMEO		60
#define ICHAT_USR_TIMEO		5*60

#define ICHAT_VER "1.1/lin"

#define ICHAT_TOALL	"*"
#define ICHAT_COMMON_LINE	"iTCniaM"
#define ICHAT_PRIVATE_LINE	"gsMTCI"


/* Logging levels */
#define ICHAT_LOG_CRIT 			0
#define ICHAT_LOG_NORMAL 		1
#define ICHAT_LOG_VERBOSE 		2
#define ICHAT_LOG_DEBUG			3
#define ICHAT_LOG_DEBUG2		4
#define ICHAT_LOG_MAX			5

#define ICH_LOG_BUFSIZE 		2048



extern char *nickname;
extern char *login;
extern char *signature;
extern int   wsock;
extern int   loglevel;
extern int   f_quit;
extern int   status;

void ich_log(int llvl, char *fmt, ...);
int  ich_output(struct membuf *mb);


#endif /* _ICHAT_H_ */
