/*-
 * Copyright (c) 2001
 *		Stepachev Andrey <aka50@mail.ru>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *	This product includes software developed by the University of
 *	California, Berkeley and its contributors.
 * 4. Neither the name of the University nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 */

/*
 * strops.h -- Header for string operations
 *
 * $Id: strops.h,v 1.1.1.1 2003/07/06 11:28:37 aka50 Exp $
 */
#ifndef _STROPS_H_
#define _STROPS_H_

#include <sys/types.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <time.h>

#define MAX_SIZE_T 0xffffffff

#ifndef TZNAME_MAX
# define TZNAME_MAX     50      /* max size of timezone */
#endif /* ! TZNAME_MAX */


struct tbm {
    int   tbm_magic; 
#define TBM_MAGIC 0x43764453
    int  *tbm_bc;
    int  *tbm_gs;
    char *tbm_match;
    int   tbm_mlen;
};

extern void stripquotes(char *s);
extern int  splitline(char *line,char **args,int maxargs,char *delim);
extern int  stracat(char *dst, const char *src, int siz);
extern int  sstrreplace(char *str, int len, char **bufstr, int *buflen, char *what, char *with);
extern void strtrim (char *str);
extern int strtokcmp(register const char *s1, register const char *s2, const char **last, char *sep);

/* Turbo search */
extern int   tbms_init(struct tbm *tbm, char *match, int mlen);
extern void  tbms_free(struct tbm *tbm);
extern char *tbms( struct tbm *tbm, char *str, int len );


extern char *arpadate( register char *ud );

/* String escaping (used malloc) */
extern int strop_escape(char *str, char **ret);
extern int strop_unescape(char *str, char **ret);

#define HEXTOCHAR(var) {                                                      \
	                   register unsigned char shift;                      \
	                   shift=((var)<='9' && (var) >= '0')?'0':            \
	                         ((var)<='F' && (var) >= 'A')?'7':            \
	                         ((var)<='f' && (var) >= 'a')?'W':0;          \
	                   (var) -= shift;                                    \
                       }



#endif /* _STROPS_H_ */
